Subject: Re: [PATCH v12 03/13] ref-filter: introduce the ref_formatting_state stack machinery

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Aug 2015 09:51:24 -0700

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>> You replaced the quote_style argument with ref_formatting_state, and I
>> think you should have kept this argument and added ref_formatting_state.
>> The other option is to add an extra indirection like
>>
>> struct ref_formatting_state {
>> 	int quote_style;
>> 	struct ref_formatting_stack *stack;
>> }
>>
>> (ref_formatting_stack would be what you currently call
>> ref_formatting_state). But that's probably overkill.
>
> I think this is the right way to go.  As you explained in your later
> messages, this is conceptually a global setting that applies to
> anybody working in the callchain and not something individual
> recursion levels would want to muck with.

The fact that this is conceptually a global setting does not change,
but I think the deeper levels should not care or even _know_ that
language-specific quoting rules exist (see other post).

Sorry for the confusion.